import Header from "@/components/Blocks/Header/Header";
import CookieNotice from "@/components/CookieNotice/CookieNotice";
import Footer from "@/components/Footer/Footer";
import "@/styles/globals.css";
import { Montserrat, Roboto, Roboto_Condensed } from 'next/font/google'

export const montserratFont = Montserrat({
    subsets: ['latin', 'cyrillic'],
})

const mainFont = Roboto({
    subsets: ['latin', 'cyrillic'],
})

export const condensedFont = Roboto_Condensed({
    subsets: ['latin', 'cyrillic'],
})

export const revalidate = 10

export default function ClientLayout({
    children,
}: {
    children: React.ReactNode;
}) {
    return (
        <>
            <Header />

            <main className="flex-1 overflow-x-auto">
                {children}
            </main>

            <Footer />

            <CookieNotice />
        </>
    );
}
